Bug 143687 - Documentation is missing for "Is" keyword
Summary: Documentation is missing for "Is" keyword
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Rafael Lima
URL:
Whiteboard: target:7.3.0
Keywords:
Depends on:
Blocks: Macro-StarBasic Macro-Documentation
  Show dependency treegraph
 
Reported: 2021-08-02 09:00 UTC by Mike Kaganski
Modified: 2021-11-26 19:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2021-08-02 09:00:50 UTC
Documentation for BASIC "Is" keyword is missing, like in

> If A Is Nothing Then MsgBox "Foo"

E.g.. VBA has [1] for the topic. Generally, "Is" should behave similarly to our "EqualUnoObjects", but not limited to UNO objects. Anyway, even if it's limited to "Is Nothing" in LibreOffice BASIC, it needs a documentation.

[1] https://docs.microsoft.com/en-us/dotnet/visual-basic/language-reference/operators/is-operator
Comment 1 Alain Romedenne 2021-08-05 14:52:39 UTC
Example reference pages for a new help page are:

- https://docs.microsoft.com/en-us/office/vba/language/reference/user-interface-help/is-operator
- https://duckduckgo.com/?t=ffab&q=is+vba+operator&ia=web
- https://www.freebasic.net/wiki/KeyPgOpIs
- https://help.hcltechsw.com/dom_designer/9.0.1/appdev/LSAZ_IS_OPERATOR.html

The help page should consider x-referencing isObject() and EqualUnoObjects() Basic functions in order to clarify their differences.
Comment 2 Commit Notification 2021-10-07 17:37:26 UTC
Rafael Lima committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/82e70eb6efa88c3d21606292a042cd6978385480

tdf#143687 Document the "IS" Basic keyword